uniform sampler2D reflection;
uniform sampler2D waves;

uniform float waveframe;

varying vec2 Texcoord;

void main( void ) {
	vec2 distort = vec2( Texcoord.x + sin(Texcoord.y*100.0+waveframe)/100.0, Texcoord.y);
	gl_FragColor = texture2D(reflection, distort);    
}
